gnutls_pkcs12_generate_mac(3)

NAME
gnutls_pkcs12_generate_mac - This function generates the MAC of the PKCS12 structure

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_generate_mac(gnutls_pkcs12_t pkcs12, const char * pass);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    should contain a gnutls_pkcs12_t structure

const char * pass
    The password for the MAC

DESCRIPTION
This function will generate a MAC for the PKCS12 structure.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.